//
// ColorFont2HtmlApp.cpp
//
// Freeware by BErnhard BErger
// e-Mail: bernhardberger@yahoo.de
//
// V. 1.0 * 1/12/2000 * the basic version
// V. 1.1 * 1/15/2000 * some bugfixes
// V. 1.2 * ? * Modifictauions by MURAMOTO Tomoya (e-Mail: t-murmaoto@geocities.co.jp)
//			  - added Unicode support
//			  - Save/restore window state
//			  - Accept drop from color picker application
// V. 2.0 * 7/10/2001 * added some features and buxfix; made the source R5-ready; see Help.html for more infos
//

#include "ColorFont2HtmlApp.h"

int main()
{
	CColorFont2HtmlApp* pApp = new CColorFont2HtmlApp();
	pApp->Run();		// start application
	return 0;
}

// Constructor...
CColorFont2HtmlApp::CColorFont2HtmlApp()
	:BApplication("application/x-vnd.BernhardBerger-ColorFont2Html")
{
	m_pWnd = new CMainWnd(BScreen().Frame());		// construct main window
	
	// Set the owner-window for the two color picker dialogs...
	m_pWnd->m_pColorPickerWndStart->m_pMainWnd	= m_pWnd;
	m_pWnd->m_pColorPickerWndEnd->m_pMainWnd	= m_pWnd;	
	
	m_pWnd->Show();				// show main window
}

// AboutRequested...
void CColorFont2HtmlApp::AboutRequested()
{
	(new BAlert("AboutBox", "ColorFont2HtmlApp - V. 2.0\n"
				"Freeware\n"
				"(C) 01/12/2000 - 7/10/2001 by BErnhard BErger and Muramoto Tomoya\n\n"
				"BE yourself, no matter what they say...", "Wow!"))->Go();
}